Package org.apache.lucene.backward_codecs.lucene90.blocktree

# Class FieldReader

java.lang.Object
org.apache.lucene.index.Terms
org.apache.lucene.backward_codecs.lucene90.blocktree.FieldReader

public final class FieldReader extends Terms
BlockTree's implementation of `Terms`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.Terms

  `EMPTY_ARRAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDocCount()`
  `BytesRef`
  `getMax()`
  `BytesRef`
  `getMin()`
  `Stats`
  `getStats()`
  For debugging -- used by CheckIndex too
  `long`
  `getSumDocFreq()`
  `long`
  `getSumTotalTermFreq()`
  `boolean`
  `hasFreqs()`
  `boolean`
  `hasOffsets()`
  `boolean`
  `hasPayloads()`
  `boolean`
  `hasPositions()`
  `TermsEnum`
  `intersect(CompiledAutomaton compiled, BytesRef startTerm)`
  `TermsEnum`
  `iterator()`
  `long`
  `size()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.index.Terms

  `getTerms`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getMin

    public BytesRef getMin() throws IOException
    Overrides:
      `getMin` in class `Terms`
    Throws:
      `IOException`

  - ### getMax

    public BytesRef getMax() throws IOException
    Overrides:
      `getMax` in class `Terms`
    Throws:
      `IOException`

  - ### getStats

    public Stats getStats() throws IOException
    For debugging -- used by CheckIndex too
    Overrides:
      `getStats` in class `Terms`
    Throws:
      `IOException`

  - ### hasFreqs

    public boolean hasFreqs()
    Specified by:
      `hasFreqs` in class `Terms`

  - ### hasOffsets

    public boolean hasOffsets()
    Specified by:
      `hasOffsets` in class `Terms`

  - ### hasPositions

    public boolean hasPositions()
    Specified by:
      `hasPositions` in class `Terms`

  - ### hasPayloads

    public boolean hasPayloads()
    Specified by:
      `hasPayloads` in class `Terms`

  - ### iterator

    public TermsEnum iterator() throws IOException
    Specified by:
      `iterator` in class `Terms`
    Throws:
      `IOException`

  - ### size

    public long size()
    Specified by:
      `size` in class `Terms`

  - ### getSumTotalTermFreq

    public long getSumTotalTermFreq()
    Specified by:
      `getSumTotalTermFreq` in class `Terms`

  - ### getSumDocFreq

    public long getSumDocFreq()
    Specified by:
      `getSumDocFreq` in class `Terms`

  - ### getDocCount

    public int getDocCount()
    Specified by:
      `getDocCount` in class `Terms`

  - ### intersect

    public TermsEnum intersect(CompiledAutomaton compiled, BytesRef startTerm) throws IOException
    Overrides:
      `intersect` in class `Terms`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`